package com.hfkj.entity;

import java.io.Serializable;
import java.util.Date;

/**
 * bs_store
 * @author 
 */
/**
 * 
 * 代码由工具生成
 * 
 **/
public class BsStore implements Serializable {
    /**
     * 主键
     */
    private Long id;

    /**
     * 公司id
     */
    private Long companyId;

    /**
     * 公司名称
     */
    private String companyName;

    /**
     * 代理商id
     */
    private Long agentId;

    /**
     * 代理商名称
     */
    private String agentName;

    /**
     * 业务员id
     */
    private Long salesmanId;

    /**
     * 业务员名称
     */
    private String salesmanName;

    /**
     * 商户id
     */
    private Long merId;

    /**
     * 商户名称
     */
    private String merName;

    /**
     * 门店号
     */
    private Long storeNo;

    /**
     * 门店名称
     */
    private String name;

    /**
     * 门店电话
     */
    private String telephone;

    /**
     * 门头照片
     */
    private String doorHeadImg;

    /**
     * 负责人名称
     */
    private String dutyPeopleName;

    /**
     * 负责人电话
     */
    private String dutyPeoplePhone;

    /**
     * 负责人邮箱
     */
    private String dutyPeopleEmail;

    /**
     * 收银台照片
     */
    private String cashRegisterImg;

    /**
     * 内部照片
     */
    private String internalImg;

    /**
     * 经营许可证
     */
    private String businessLicenseImg;

    /**
     * 其他照片
     */
    private String otherImg;

    /**
     * 门店地址经度
     */
    private String longitude;

    /**
     * 门店地址纬度
     */
    private String latitude;

    /**
     * 门店地址
     */
    private String address;

    /**
     * 单独结算 0：否  1：是 
     */
    private Boolean aloneSettle;

    /**
     * 门店类型  数据字典：MERCHANT_TYPE
     */
    private Integer storeType;

    /**
     * 营业执照图片
     */
    private String blisUrl;

    /**
     * 营业执照名称
     */
    private String blisName;

    /**
     * 营业执照号
     */
    private String blisNo;

    /**
     * 营业执照注册地址
     */
    private String blisRegAddress;

    /**
     * 营业执照期限类型  1：有效期   2：长期
     */
    private Integer blisPeriodType;

    /**
     * 营业期限开始时间
     */
    private String blisPeriodStart;

    /**
     * 营业期限结束时间
     */
    private String blisPeriodEnd;

    /**
     * 法人身份证号
     */
    private String larIdCard;

    /**
     * 法人名称
     */
    private String larName;

    /**
     * 法人身份证人像面图片
     */
    private String larIdCardPortraitImg;

    /**
     * 法人身份证国徽面图片
     */
    private String larIdCardNationalEmblemImg;

    /**
     * 法人身份证居住地址
     */
    private String larIdCardAddress;

    /**
     * 法人身份证有效期类型  1：有效期   2：长期
     */
    private Integer larIdCardPeriodType;

    /**
     * 法人身份证有效期开始时间
     */
    private String larIdCardPeriodStart;

    /**
     * 法人身份证有效期结束时间
     */
    private String larIdCardPeriodEnd;

    /**
     * 状态 0：删除  1：编辑中  2：正常   3：审核中   4：审核失败  5：停用
     */
    private Integer status;

    /**
     * 创建业务员id
     */
    private Long createSalesmanId;

    /**
     * 创建业务员名称
     */
    private String createSalesmanName;

    /**
     * 创建方式  1：商户进件   2：商户自建
     */
    private Integer createType;

    /**
     * 创建时间
     */
    private Date createTime;

    /**
     * 更新时间
     */
    private Date updateTime;

    private String ext1;

    private String ext2;

    private String ext3;

    private static final long serialVersionUID = 1L;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getCompanyId() {
        return companyId;
    }

    public void setCompanyId(Long companyId) {
        this.companyId = companyId;
    }

    public String getCompanyName() {
        return companyName;
    }

    public void setCompanyName(String companyName) {
        this.companyName = companyName;
    }

    public Long getAgentId() {
        return agentId;
    }

    public void setAgentId(Long agentId) {
        this.agentId = agentId;
    }

    public String getAgentName() {
        return agentName;
    }

    public void setAgentName(String agentName) {
        this.agentName = agentName;
    }

    public Long getSalesmanId() {
        return salesmanId;
    }

    public void setSalesmanId(Long salesmanId) {
        this.salesmanId = salesmanId;
    }

    public String getSalesmanName() {
        return salesmanName;
    }

    public void setSalesmanName(String salesmanName) {
        this.salesmanName = salesmanName;
    }

    public Long getMerId() {
        return merId;
    }

    public void setMerId(Long merId) {
        this.merId = merId;
    }

    public String getMerName() {
        return merName;
    }

    public void setMerName(String merName) {
        this.merName = merName;
    }

    public Long getStoreNo() {
        return storeNo;
    }

    public void setStoreNo(Long storeNo) {
        this.storeNo = storeNo;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getTelephone() {
        return telephone;
    }

    public void setTelephone(String telephone) {
        this.telephone = telephone;
    }

    public String getDoorHeadImg() {
        return doorHeadImg;
    }

    public void setDoorHeadImg(String doorHeadImg) {
        this.doorHeadImg = doorHeadImg;
    }

    public String getDutyPeopleName() {
        return dutyPeopleName;
    }

    public void setDutyPeopleName(String dutyPeopleName) {
        this.dutyPeopleName = dutyPeopleName;
    }

    public String getDutyPeoplePhone() {
        return dutyPeoplePhone;
    }

    public void setDutyPeoplePhone(String dutyPeoplePhone) {
        this.dutyPeoplePhone = dutyPeoplePhone;
    }

    public String getDutyPeopleEmail() {
        return dutyPeopleEmail;
    }

    public void setDutyPeopleEmail(String dutyPeopleEmail) {
        this.dutyPeopleEmail = dutyPeopleEmail;
    }

    public String getCashRegisterImg() {
        return cashRegisterImg;
    }

    public void setCashRegisterImg(String cashRegisterImg) {
        this.cashRegisterImg = cashRegisterImg;
    }

    public String getInternalImg() {
        return internalImg;
    }

    public void setInternalImg(String internalImg) {
        this.internalImg = internalImg;
    }

    public String getBusinessLicenseImg() {
        return businessLicenseImg;
    }

    public void setBusinessLicenseImg(String businessLicenseImg) {
        this.businessLicenseImg = businessLicenseImg;
    }

    public String getOtherImg() {
        return otherImg;
    }

    public void setOtherImg(String otherImg) {
        this.otherImg = otherImg;
    }

    public String getLongitude() {
        return longitude;
    }

    public void setLongitude(String longitude) {
        this.longitude = longitude;
    }

    public String getLatitude() {
        return latitude;
    }

    public void setLatitude(String latitude) {
        this.latitude = latitude;
    }

    public String getAddress() {
        return address;
    }

    public void setAddress(String address) {
        this.address = address;
    }

    public Boolean getAloneSettle() {
        return aloneSettle;
    }

    public void setAloneSettle(Boolean aloneSettle) {
        this.aloneSettle = aloneSettle;
    }

    public Integer getStoreType() {
        return storeType;
    }

    public void setStoreType(Integer storeType) {
        this.storeType = storeType;
    }

    public String getBlisUrl() {
        return blisUrl;
    }

    public void setBlisUrl(String blisUrl) {
        this.blisUrl = blisUrl;
    }

    public String getBlisName() {
        return blisName;
    }

    public void setBlisName(String blisName) {
        this.blisName = blisName;
    }

    public String getBlisNo() {
        return blisNo;
    }

    public void setBlisNo(String blisNo) {
        this.blisNo = blisNo;
    }

    public String getBlisRegAddress() {
        return blisRegAddress;
    }

    public void setBlisRegAddress(String blisRegAddress) {
        this.blisRegAddress = blisRegAddress;
    }

    public Integer getBlisPeriodType() {
        return blisPeriodType;
    }

    public void setBlisPeriodType(Integer blisPeriodType) {
        this.blisPeriodType = blisPeriodType;
    }

    public String getBlisPeriodStart() {
        return blisPeriodStart;
    }

    public void setBlisPeriodStart(String blisPeriodStart) {
        this.blisPeriodStart = blisPeriodStart;
    }

    public String getBlisPeriodEnd() {
        return blisPeriodEnd;
    }

    public void setBlisPeriodEnd(String blisPeriodEnd) {
        this.blisPeriodEnd = blisPeriodEnd;
    }

    public String getLarIdCard() {
        return larIdCard;
    }

    public void setLarIdCard(String larIdCard) {
        this.larIdCard = larIdCard;
    }

    public String getLarName() {
        return larName;
    }

    public void setLarName(String larName) {
        this.larName = larName;
    }

    public String getLarIdCardPortraitImg() {
        return larIdCardPortraitImg;
    }

    public void setLarIdCardPortraitImg(String larIdCardPortraitImg) {
        this.larIdCardPortraitImg = larIdCardPortraitImg;
    }

    public String getLarIdCardNationalEmblemImg() {
        return larIdCardNationalEmblemImg;
    }

    public void setLarIdCardNationalEmblemImg(String larIdCardNationalEmblemImg) {
        this.larIdCardNationalEmblemImg = larIdCardNationalEmblemImg;
    }

    public String getLarIdCardAddress() {
        return larIdCardAddress;
    }

    public void setLarIdCardAddress(String larIdCardAddress) {
        this.larIdCardAddress = larIdCardAddress;
    }

    public Integer getLarIdCardPeriodType() {
        return larIdCardPeriodType;
    }

    public void setLarIdCardPeriodType(Integer larIdCardPeriodType) {
        this.larIdCardPeriodType = larIdCardPeriodType;
    }

    public String getLarIdCardPeriodStart() {
        return larIdCardPeriodStart;
    }

    public void setLarIdCardPeriodStart(String larIdCardPeriodStart) {
        this.larIdCardPeriodStart = larIdCardPeriodStart;
    }

    public String getLarIdCardPeriodEnd() {
        return larIdCardPeriodEnd;
    }

    public void setLarIdCardPeriodEnd(String larIdCardPeriodEnd) {
        this.larIdCardPeriodEnd = larIdCardPeriodEnd;
    }

    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }

    public Long getCreateSalesmanId() {
        return createSalesmanId;
    }

    public void setCreateSalesmanId(Long createSalesmanId) {
        this.createSalesmanId = createSalesmanId;
    }

    public String getCreateSalesmanName() {
        return createSalesmanName;
    }

    public void setCreateSalesmanName(String createSalesmanName) {
        this.createSalesmanName = createSalesmanName;
    }

    public Integer getCreateType() {
        return createType;
    }

    public void setCreateType(Integer createType) {
        this.createType = createType;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    public String getExt1() {
        return ext1;
    }

    public void setExt1(String ext1) {
        this.ext1 = ext1;
    }

    public String getExt2() {
        return ext2;
    }

    public void setExt2(String ext2) {
        this.ext2 = ext2;
    }

    public String getExt3() {
        return ext3;
    }

    public void setExt3(String ext3) {
        this.ext3 = ext3;
    }

    @Override
    public boolean equals(Object that) {
        if (this == that) {
            return true;
        }
        if (that == null) {
            return false;
        }
        if (getClass() != that.getClass()) {
            return false;
        }
        BsStore other = (BsStore) that;
        return (this.getId() == null ? other.getId() == null : this.getId().equals(other.getId()))
            && (this.getCompanyId() == null ? other.getCompanyId() == null : this.getCompanyId().equals(other.getCompanyId()))
            && (this.getCompanyName() == null ? other.getCompanyName() == null : this.getCompanyName().equals(other.getCompanyName()))
            && (this.getAgentId() == null ? other.getAgentId() == null : this.getAgentId().equals(other.getAgentId()))
            && (this.getAgentName() == null ? other.getAgentName() == null : this.getAgentName().equals(other.getAgentName()))
            && (this.getSalesmanId() == null ? other.getSalesmanId() == null : this.getSalesmanId().equals(other.getSalesmanId()))
            && (this.getSalesmanName() == null ? other.getSalesmanName() == null : this.getSalesmanName().equals(other.getSalesmanName()))
            && (this.getMerId() == null ? other.getMerId() == null : this.getMerId().equals(other.getMerId()))
            && (this.getMerName() == null ? other.getMerName() == null : this.getMerName().equals(other.getMerName()))
            && (this.getStoreNo() == null ? other.getStoreNo() == null : this.getStoreNo().equals(other.getStoreNo()))
            && (this.getName() == null ? other.getName() == null : this.getName().equals(other.getName()))
            && (this.getTelephone() == null ? other.getTelephone() == null : this.getTelephone().equals(other.getTelephone()))
            && (this.getDoorHeadImg() == null ? other.getDoorHeadImg() == null : this.getDoorHeadImg().equals(other.getDoorHeadImg()))
            && (this.getDutyPeopleName() == null ? other.getDutyPeopleName() == null : this.getDutyPeopleName().equals(other.getDutyPeopleName()))
            && (this.getDutyPeoplePhone() == null ? other.getDutyPeoplePhone() == null : this.getDutyPeoplePhone().equals(other.getDutyPeoplePhone()))
            && (this.getDutyPeopleEmail() == null ? other.getDutyPeopleEmail() == null : this.getDutyPeopleEmail().equals(other.getDutyPeopleEmail()))
            && (this.getCashRegisterImg() == null ? other.getCashRegisterImg() == null : this.getCashRegisterImg().equals(other.getCashRegisterImg()))
            && (this.getInternalImg() == null ? other.getInternalImg() == null : this.getInternalImg().equals(other.getInternalImg()))
            && (this.getBusinessLicenseImg() == null ? other.getBusinessLicenseImg() == null : this.getBusinessLicenseImg().equals(other.getBusinessLicenseImg()))
            && (this.getOtherImg() == null ? other.getOtherImg() == null : this.getOtherImg().equals(other.getOtherImg()))
            && (this.getLongitude() == null ? other.getLongitude() == null : this.getLongitude().equals(other.getLongitude()))
            && (this.getLatitude() == null ? other.getLatitude() == null : this.getLatitude().equals(other.getLatitude()))
            && (this.getAddress() == null ? other.getAddress() == null : this.getAddress().equals(other.getAddress()))
            && (this.getAloneSettle() == null ? other.getAloneSettle() == null : this.getAloneSettle().equals(other.getAloneSettle()))
            && (this.getStoreType() == null ? other.getStoreType() == null : this.getStoreType().equals(other.getStoreType()))
            && (this.getBlisUrl() == null ? other.getBlisUrl() == null : this.getBlisUrl().equals(other.getBlisUrl()))
            && (this.getBlisName() == null ? other.getBlisName() == null : this.getBlisName().equals(other.getBlisName()))
            && (this.getBlisNo() == null ? other.getBlisNo() == null : this.getBlisNo().equals(other.getBlisNo()))
            && (this.getBlisRegAddress() == null ? other.getBlisRegAddress() == null : this.getBlisRegAddress().equals(other.getBlisRegAddress()))
            && (this.getBlisPeriodType() == null ? other.getBlisPeriodType() == null : this.getBlisPeriodType().equals(other.getBlisPeriodType()))
            && (this.getBlisPeriodStart() == null ? other.getBlisPeriodStart() == null : this.getBlisPeriodStart().equals(other.getBlisPeriodStart()))
            && (this.getBlisPeriodEnd() == null ? other.getBlisPeriodEnd() == null : this.getBlisPeriodEnd().equals(other.getBlisPeriodEnd()))
            && (this.getLarIdCard() == null ? other.getLarIdCard() == null : this.getLarIdCard().equals(other.getLarIdCard()))
            && (this.getLarName() == null ? other.getLarName() == null : this.getLarName().equals(other.getLarName()))
            && (this.getLarIdCardPortraitImg() == null ? other.getLarIdCardPortraitImg() == null : this.getLarIdCardPortraitImg().equals(other.getLarIdCardPortraitImg()))
            && (this.getLarIdCardNationalEmblemImg() == null ? other.getLarIdCardNationalEmblemImg() == null : this.getLarIdCardNationalEmblemImg().equals(other.getLarIdCardNationalEmblemImg()))
            && (this.getLarIdCardAddress() == null ? other.getLarIdCardAddress() == null : this.getLarIdCardAddress().equals(other.getLarIdCardAddress()))
            && (this.getLarIdCardPeriodType() == null ? other.getLarIdCardPeriodType() == null : this.getLarIdCardPeriodType().equals(other.getLarIdCardPeriodType()))
            && (this.getLarIdCardPeriodStart() == null ? other.getLarIdCardPeriodStart() == null : this.getLarIdCardPeriodStart().equals(other.getLarIdCardPeriodStart()))
            && (this.getLarIdCardPeriodEnd() == null ? other.getLarIdCardPeriodEnd() == null : this.getLarIdCardPeriodEnd().equals(other.getLarIdCardPeriodEnd()))
            && (this.getStatus() == null ? other.getStatus() == null : this.getStatus().equals(other.getStatus()))
            && (this.getCreateSalesmanId() == null ? other.getCreateSalesmanId() == null : this.getCreateSalesmanId().equals(other.getCreateSalesmanId()))
            && (this.getCreateSalesmanName() == null ? other.getCreateSalesmanName() == null : this.getCreateSalesmanName().equals(other.getCreateSalesmanName()))
            && (this.getCreateType() == null ? other.getCreateType() == null : this.getCreateType().equals(other.getCreateType()))
            && (this.getCreateTime() == null ? other.getCreateTime() == null : this.getCreateTime().equals(other.getCreateTime()))
            && (this.getUpdateTime() == null ? other.getUpdateTime() == null : this.getUpdateTime().equals(other.getUpdateTime()))
            && (this.getExt1() == null ? other.getExt1() == null : this.getExt1().equals(other.getExt1()))
            && (this.getExt2() == null ? other.getExt2() == null : this.getExt2().equals(other.getExt2()))
            && (this.getExt3() == null ? other.getExt3() == null : this.getExt3().equals(other.getExt3()));
    }

    @Override
    public int hashCode() {
        final int prime = 31;
        int result = 1;
        result = prime * result + ((getId() == null) ? 0 : getId().hashCode());
        result = prime * result + ((getCompanyId() == null) ? 0 : getCompanyId().hashCode());
        result = prime * result + ((getCompanyName() == null) ? 0 : getCompanyName().hashCode());
        result = prime * result + ((getAgentId() == null) ? 0 : getAgentId().hashCode());
        result = prime * result + ((getAgentName() == null) ? 0 : getAgentName().hashCode());
        result = prime * result + ((getSalesmanId() == null) ? 0 : getSalesmanId().hashCode());
        result = prime * result + ((getSalesmanName() == null) ? 0 : getSalesmanName().hashCode());
        result = prime * result + ((getMerId() == null) ? 0 : getMerId().hashCode());
        result = prime * result + ((getMerName() == null) ? 0 : getMerName().hashCode());
        result = prime * result + ((getStoreNo() == null) ? 0 : getStoreNo().hashCode());
        result = prime * result + ((getName() == null) ? 0 : getName().hashCode());
        result = prime * result + ((getTelephone() == null) ? 0 : getTelephone().hashCode());
        result = prime * result + ((getDoorHeadImg() == null) ? 0 : getDoorHeadImg().hashCode());
        result = prime * result + ((getDutyPeopleName() == null) ? 0 : getDutyPeopleName().hashCode());
        result = prime * result + ((getDutyPeoplePhone() == null) ? 0 : getDutyPeoplePhone().hashCode());
        result = prime * result + ((getDutyPeopleEmail() == null) ? 0 : getDutyPeopleEmail().hashCode());
        result = prime * result + ((getCashRegisterImg() == null) ? 0 : getCashRegisterImg().hashCode());
        result = prime * result + ((getInternalImg() == null) ? 0 : getInternalImg().hashCode());
        result = prime * result + ((getBusinessLicenseImg() == null) ? 0 : getBusinessLicenseImg().hashCode());
        result = prime * result + ((getOtherImg() == null) ? 0 : getOtherImg().hashCode());
        result = prime * result + ((getLongitude() == null) ? 0 : getLongitude().hashCode());
        result = prime * result + ((getLatitude() == null) ? 0 : getLatitude().hashCode());
        result = prime * result + ((getAddress() == null) ? 0 : getAddress().hashCode());
        result = prime * result + ((getAloneSettle() == null) ? 0 : getAloneSettle().hashCode());
        result = prime * result + ((getStoreType() == null) ? 0 : getStoreType().hashCode());
        result = prime * result + ((getBlisUrl() == null) ? 0 : getBlisUrl().hashCode());
        result = prime * result + ((getBlisName() == null) ? 0 : getBlisName().hashCode());
        result = prime * result + ((getBlisNo() == null) ? 0 : getBlisNo().hashCode());
        result = prime * result + ((getBlisRegAddress() == null) ? 0 : getBlisRegAddress().hashCode());
        result = prime * result + ((getBlisPeriodType() == null) ? 0 : getBlisPeriodType().hashCode());
        result = prime * result + ((getBlisPeriodStart() == null) ? 0 : getBlisPeriodStart().hashCode());
        result = prime * result + ((getBlisPeriodEnd() == null) ? 0 : getBlisPeriodEnd().hashCode());
        result = prime * result + ((getLarIdCard() == null) ? 0 : getLarIdCard().hashCode());
        result = prime * result + ((getLarName() == null) ? 0 : getLarName().hashCode());
        result = prime * result + ((getLarIdCardPortraitImg() == null) ? 0 : getLarIdCardPortraitImg().hashCode());
        result = prime * result + ((getLarIdCardNationalEmblemImg() == null) ? 0 : getLarIdCardNationalEmblemImg().hashCode());
        result = prime * result + ((getLarIdCardAddress() == null) ? 0 : getLarIdCardAddress().hashCode());
        result = prime * result + ((getLarIdCardPeriodType() == null) ? 0 : getLarIdCardPeriodType().hashCode());
        result = prime * result + ((getLarIdCardPeriodStart() == null) ? 0 : getLarIdCardPeriodStart().hashCode());
        result = prime * result + ((getLarIdCardPeriodEnd() == null) ? 0 : getLarIdCardPeriodEnd().hashCode());
        result = prime * result + ((getStatus() == null) ? 0 : getStatus().hashCode());
        result = prime * result + ((getCreateSalesmanId() == null) ? 0 : getCreateSalesmanId().hashCode());
        result = prime * result + ((getCreateSalesmanName() == null) ? 0 : getCreateSalesmanName().hashCode());
        result = prime * result + ((getCreateType() == null) ? 0 : getCreateType().hashCode());
        result = prime * result + ((getCreateTime() == null) ? 0 : getCreateTime().hashCode());
        result = prime * result + ((getUpdateTime() == null) ? 0 : getUpdateTime().hashCode());
        result = prime * result + ((getExt1() == null) ? 0 : getExt1().hashCode());
        result = prime * result + ((getExt2() == null) ? 0 : getExt2().hashCode());
        result = prime * result + ((getExt3() == null) ? 0 : getExt3().hashCode());
        return result;
    }

    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append(getClass().getSimpleName());
        sb.append(" [");
        sb.append("Hash = ").append(hashCode());
        sb.append(", id=").append(id);
        sb.append(", companyId=").append(companyId);
        sb.append(", companyName=").append(companyName);
        sb.append(", agentId=").append(agentId);
        sb.append(", agentName=").append(agentName);
        sb.append(", salesmanId=").append(salesmanId);
        sb.append(", salesmanName=").append(salesmanName);
        sb.append(", merId=").append(merId);
        sb.append(", merName=").append(merName);
        sb.append(", storeNo=").append(storeNo);
        sb.append(", name=").append(name);
        sb.append(", telephone=").append(telephone);
        sb.append(", doorHeadImg=").append(doorHeadImg);
        sb.append(", dutyPeopleName=").append(dutyPeopleName);
        sb.append(", dutyPeoplePhone=").append(dutyPeoplePhone);
        sb.append(", dutyPeopleEmail=").append(dutyPeopleEmail);
        sb.append(", cashRegisterImg=").append(cashRegisterImg);
        sb.append(", internalImg=").append(internalImg);
        sb.append(", businessLicenseImg=").append(businessLicenseImg);
        sb.append(", otherImg=").append(otherImg);
        sb.append(", longitude=").append(longitude);
        sb.append(", latitude=").append(latitude);
        sb.append(", address=").append(address);
        sb.append(", aloneSettle=").append(aloneSettle);
        sb.append(", storeType=").append(storeType);
        sb.append(", blisUrl=").append(blisUrl);
        sb.append(", blisName=").append(blisName);
        sb.append(", blisNo=").append(blisNo);
        sb.append(", blisRegAddress=").append(blisRegAddress);
        sb.append(", blisPeriodType=").append(blisPeriodType);
        sb.append(", blisPeriodStart=").append(blisPeriodStart);
        sb.append(", blisPeriodEnd=").append(blisPeriodEnd);
        sb.append(", larIdCard=").append(larIdCard);
        sb.append(", larName=").append(larName);
        sb.append(", larIdCardPortraitImg=").append(larIdCardPortraitImg);
        sb.append(", larIdCardNationalEmblemImg=").append(larIdCardNationalEmblemImg);
        sb.append(", larIdCardAddress=").append(larIdCardAddress);
        sb.append(", larIdCardPeriodType=").append(larIdCardPeriodType);
        sb.append(", larIdCardPeriodStart=").append(larIdCardPeriodStart);
        sb.append(", larIdCardPeriodEnd=").append(larIdCardPeriodEnd);
        sb.append(", status=").append(status);
        sb.append(", createSalesmanId=").append(createSalesmanId);
        sb.append(", createSalesmanName=").append(createSalesmanName);
        sb.append(", createType=").append(createType);
        sb.append(", createTime=").append(createTime);
        sb.append(", updateTime=").append(updateTime);
        sb.append(", ext1=").append(ext1);
        sb.append(", ext2=").append(ext2);
        sb.append(", ext3=").append(ext3);
        sb.append(", serialVersionUID=").append(serialVersionUID);
        sb.append("]");
        return sb.toString();
    }
}